Announcement

Collapse
No announcement yet.

[Resolu] Oreon sous Red Hat Enterprise ???

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Resolu] Oreon sous Red Hat Enterprise ???

    Bonjour à tous.

    J'ai besoin d'installer Nagios pour surveiller mon réseau, et je compte passer par Oréon qui est très bien fait (installé sur Debian pour le tester).

    Cependant je dois l'installer sur un serveur disposant d'une Red Hat Enterprise...

    Existe-t-il des scripts pour installer Oreon sous red hat ?

    Je dis ça car les scripts déjà existant marchent pour debian (utilisation de apt-get notamment), l'équivalent existe-t-il pour Rad Hat ?

    Sinon quelle va être la procédure à suivre ?

    D'avance merci à vous.

  • #2
    ca marche aussi sous red-hat (pas de soucis)

    il faut juste que tu installes les bon paquets avec les rpm
    (n'etant pas fan de red-hat et des rpm) je n'ai pas de doc sous la main
    Ubuntu 8.04
    Nagios 3.2 + nagios-plugins-1.4.14
    ndoutils-1.4b9
    Centreon 2.1.8
    centreon-syslog-frontend-1.2.1 + centreon-syslog-server-1.1

    Comment


    • #3
      Merci, je me doutais que ça marchait sous Red Hat, par contre là où tu m'importe une info, c'est que je vais devoir me taper les rpm à la main (et les dépendances qui vont avec lorsqu'il y en a), et c'est une info qui me plait pas :evil: :evil: :evil:

      C'est tellement plus simple avec Debian, pourquoi mon boss à le support Red Hat...ah des fois j'vous jure...

      Enfin bref, merci pour ta réponse, je sens que je vais bien m'amuser, pour tester Oreon avec Debian, en partant d'un PC vierge (meme pas d'OS) j'avais mis 2-3h, avec red hat je sens que ça va être un tout petit peu plus long...

      Comment


      • #4
        yum gere tres bien les interdependances de package :wink:
        Intel(R) Xeon(TM) CPU 3.4GHz - MemTotal : 1034476 kB
        Centreon 2.4.1 - Nagios 3.2.1 - Nagios Plugins 1.4.15 - Manubulon Plugins tuné
        Fedora Core 5 - 2.6.20-1.2320

        Comment


        • #5
          Originally posted by DonKiShoot
          yum gere tres bien les interdependances de package :wink:
          Sauf que yum n'est pas fourni avec RHEL mais juste avec Fedora.
          Pour RHEL, il faut utiliser up2date (et donc s'enregistrer auprès du RHN).
          Il existe des dépôts non-officiels contenant notamment des paquets RPM de nagios[1] et compatibles apt[2], yum[3] et up2date[4] :


          [1]: http://dag.wieers.com/packages/nagios/
          [2]: http://dag.wieers.com/home-made/apt/FAQ.php#B3
          [3]: http://dag.wieers.com/home-made/apt/FAQ.php#B4
          [4]: http://dag.wieers.com/home-made/apt/FAQ.php#B5
          Raphaël 'SurcouF' Bordet
          Je ne teste pas mes plugins en root, tu ne testes pas tes plugins en root...
          Dons Paypal

          Comment


          • #6
            Je rencontre le meme pb. Je suis sous Redhat Entreprise 3, et je suis en train de m'amuser a recuperer tous les RPM ! et c'est pas du gateau !

            N'y aurait il pas un package avec tout ce dont on aurait besoin ??

            Tks
            CentOS 6.4 64Bits - Centreon 2.4.5 - Centreon Engine 1.3.4 - NDO

            Comment


            • #7
              tu peux installer yum ou rpm-get.

              Comment


              • #8
                Yum est disponible à cette adresse:
                http://dag.wieers.com/packages/yum/

                Si tu as un accès internet sur ton serveur en RHEL, tu configures ton pour accéder au site de dag:
                http://dag.wieers.com/home-made/apt/FAQ.php#B
                (voir en B4)

                Si tu n'as pas accès, voici les paquets que j'ai dû mettre en oeuvre sur une RHEL 3:
                • fping-2.4-1.b2.1.el3.rf.i386.rpm
                  gd-devel-1.8.4-12.3.1.i386.rpm
                  libmcrypt-2.5.7-1.dag.rhel3.i386.rpm
                  libpng-devel-1.2.2-25.i386.rpm
                  nagios-1.2-2.1.el3.rf.i386.rpm
                  nagios-nsca-2.5-2.1.el3.rf.i386.rpm
                  nagios-plugins-1.4.1-1.1.el3.rf.i386.rpm
                  nagios-plugins-nrpe-2.3-2.1.el3.rf.i386.rpm
                  net-snmp-perl-5.0.9-2.30E.19.i386.rpm
                  net-snmp-utils-5.0.9-2.30E.19.i386.rpm
                  openssl096b-0.9.6b-16.i386.rpm
                  oreon-1.2.3_RC2-3.fc3_rhel3.i386.rpm
                  perl-Config-IniFiles-2.39-1.1.el3.rf.noarch.rpm
                  perl-Crypt-DES-2.05-3.1.el3.rf.i386.rpm
                  perl-Digest-HMAC-1.01-11.1.noarch.rpm
                  perl-Digest-SHA1-2.10-1.1.el3.rf.i386.rpm
                  perl-GD-1.41-1.rhel3.dag.i386.rpm
                  perl-Net-SNMP-5.2.0-1.1.el3.rf.noarch.rpm
                  perl-rrdtool-1.0.50-3.el3.rf.i386.rpm
                  perl-SNMP-Simple-0.02-1.1.el3.rf.noarch.rpm
                  perl-Socket6-0.19-1.1.el3.rf.i386.rpm
                  perl-Time-HiRes-1.38-3.i386.rpm
                  rrdtool-1.0.50-2.1.el3.rf.i386.rpm

                Ils ne sont pas triés et proviennent soient de Red Hat, soient de dag.
                tu remarqueras le RPM oreon-1.2.3 qui n'est pas (encore) officiel mais qui marche très bien chez moi.

                Si tu le veux le RPM directement, envoi moi un mail:

                staphane(dot)langlet(at)cnamts(dot)fr

                @+

                Comment


                • #9
                  faites ça à l'ancienne

                  moi j'ai tout compilé, un par un, parceque ces messieurs ont perdus leur licence pour le support Enterprise donc pas de up2date
                  RedHat Advanced Server 4.0
                  Nagios 2.3.1
                  Oreon 1.3b1

                  Comment


                  • #10
                    hihi a l'ancienne !

                    BOn, je n'ai pas Internet sur cette machine, et je ne pourrai jamais l'avoir.

                    Donc... je vais me debrouiller en recherchant tous les RPM.

                    Juste une question ? J'ai vu qu'il y avait pas mal de dépendance avc PEAR. As tu eu des problemes concernant cela.

                    J'ai jamais rien compris a ce truc la. On ne trouve jamais de RPM pour pear et c'est tres embettant !

                    Si quelqu'un pouvais m'expliquer pkoi
                    CentOS 6.4 64Bits - Centreon 2.4.5 - Centreon Engine 1.3.4 - NDO

                    Comment


                    • #11
                      Originally posted by tetatoto

                      Si tu n'as pas accès, voici les paquets que j'ai dû mettre en oeuvre sur une RHEL 3:
                      • fping-2.4-1.b2.1.el3.rf.i386.rpm
                        gd-devel-1.8.4-12.3.1.i386.rpm
                        libmcrypt-2.5.7-1.dag.rhel3.i386.rpm
                        libpng-devel-1.2.2-25.i386.rpm
                        nagios-1.2-2.1.el3.rf.i386.rpm
                        nagios-nsca-2.5-2.1.el3.rf.i386.rpm
                        nagios-plugins-1.4.1-1.1.el3.rf.i386.rpm
                        nagios-plugins-nrpe-2.3-2.1.el3.rf.i386.rpm
                        net-snmp-perl-5.0.9-2.30E.19.i386.rpm
                        net-snmp-utils-5.0.9-2.30E.19.i386.rpm
                        openssl096b-0.9.6b-16.i386.rpm
                        oreon-1.2.3_RC2-3.fc3_rhel3.i386.rpm
                        perl-Config-IniFiles-2.39-1.1.el3.rf.noarch.rpm
                        perl-Crypt-DES-2.05-3.1.el3.rf.i386.rpm
                        perl-Digest-HMAC-1.01-11.1.noarch.rpm
                        perl-Digest-SHA1-2.10-1.1.el3.rf.i386.rpm
                        perl-GD-1.41-1.rhel3.dag.i386.rpm
                        perl-Net-SNMP-5.2.0-1.1.el3.rf.noarch.rpm
                        perl-rrdtool-1.0.50-3.el3.rf.i386.rpm
                        perl-SNMP-Simple-0.02-1.1.el3.rf.noarch.rpm
                        perl-Socket6-0.19-1.1.el3.rf.i386.rpm
                        perl-Time-HiRes-1.38-3.i386.rpm
                        rrdtool-1.0.50-2.1.el3.rf.i386.rpm

                      Ils ne sont pas triés et proviennent soient de Red Hat, soient de dag.
                      tu remarqueras le RPM oreon-1.2.3 qui n'est pas (encore) officiel mais qui marche très bien chez moi.

                      Si tu le veux le RPM directement, envoi moi un mail:

                      staphane(dot)langlet(at)cnamts(dot)fr

                      @+

                      J'ai reussi a intaller toutes les dépendances sauf :

                      php-pear
                      php-snmp

                      Je n'arrive pas a trouvé les rpm pour la redhat ent 3.
                      J'ai par defaut php-4.3.2-11.ent.i386.rpm
                      J'ai reussi a installer php-mysql.

                      Mais pour php pear et snmp, c'est introuvable, ou alors ce sont des versions trop ou pas assez recente. Bref c'est le drame snif.

                      Merci
                      CentOS 6.4 64Bits - Centreon 2.4.5 - Centreon Engine 1.3.4 - NDO

                      Comment


                      • #12
                        Bonjour,

                        Pour une RHEL 3,

                        - php-pear appartient au paquet php. Pour le vérifier, il faut taper:
                        Code:
                        % which pear
                        - php-snmp est un paquet de la RHEL 3. Il est soit sur les CD, soit disponible sur Red Hat Network (RHN).

                        @+

                        Comment


                        • #13
                          hé non ! c bien ca mon pb ! c'est que php-snmp n'existe pas dans la Redhat entreprise 3.

                          Si quelqu'un a ce paquage, ou qu'il a reussi a installer OREON sur une Entreprise 3, merci de me contacter, car la je n'ai vraiment plus d'idée, a par changer de distrib ! :?


                          EDIT : Ce foutu paquet php-snmp, est il vriament necessaire ??? A quoi sert il au juste ?
                          CentOS 6.4 64Bits - Centreon 2.4.5 - Centreon Engine 1.3.4 - NDO

                          Comment


                          • #14
                            héhé ! tic !
                            Attached Files
                            Julien Mathis
                            Centreon Project Leader
                            www.merethis.com |

                            Comment


                            • #15
                              Oups, désolé.
                              Le php-snmp est officlellement sur RHEL depuis la 4.

                              Comment

                              Working...
                              X